Select to view content in your preferred language

Package 'Esri.ArcGISRuntime.ProjectTemplates 200.4.0' has a package type 'Template' that is not supported by project, Windows, NET Framework

281
1
Jump to solution
06-04-2024 10:57 AM
Labels (2)
JonKnight
New Contributor

Error: Package 'Esri.ArcGISRuntime.ProjectTemplates 200.4.0' has a package type 'Template' that is not supported by project 

I get this error when trying to install Esri.ArcGISRuntime.ProjectTemplates 200.4.0 

I even created a Net Standard Library, to see if I could install it there and I got the same error. Is there a thing I need to install to make Template package type allowable? It added the package reference, but refused to install this. 

The project I'm trying to use it in, is using .Net Framework 4.7.2 

 

0 Kudos
1 Solution

Accepted Solutions
dotMorten_esri
Esri Notable Contributor

We don't provide a project template for .NET Framework. When using that project template, .NET 8 will be used.
How are you trying to install the package? You either install the Visual Studio extension to get project templates, or you install it from commandline using:

dotnet new install Esri.ArcGISRuntime.ProjectTemplates::200.4.0

You can't add this package to an existing project, as the error hints at this is a template nuget, and not a library nuget (there are several kinds of nuget packages). If you just need to reference the SDK, add a reference to Esri.ArcGISRuntime.WPF and you should be good to go.

View solution in original post

0 Kudos
1 Reply
dotMorten_esri
Esri Notable Contributor

We don't provide a project template for .NET Framework. When using that project template, .NET 8 will be used.
How are you trying to install the package? You either install the Visual Studio extension to get project templates, or you install it from commandline using:

dotnet new install Esri.ArcGISRuntime.ProjectTemplates::200.4.0

You can't add this package to an existing project, as the error hints at this is a template nuget, and not a library nuget (there are several kinds of nuget packages). If you just need to reference the SDK, add a reference to Esri.ArcGISRuntime.WPF and you should be good to go.

0 Kudos